首页 / 浏览问题 / WebGIS / 问题详情
vue2 引入@supermap/iclient-ol 依赖报错
2EXP 2023年08月15日

报错,在引入的时候,依赖也安装了

1个回答

你好,根据错误提示,看一下node_modules下是否有对应的flatgeobuf文件,

在引入@supermap/iclient-ol后,是否有安装 @supermap/babel-plugin-import和在.babelrc或babel.config.js中添加配置:

{ "plugins": [ ["@supermap/babel-plugin-import", { "libraryName": "@supermap/iclient-leaflet" } ] ] },

建议根据博客步骤来:https://blog.csdn.net/supermapsupport/article/details/109294147

1,835EXP 2023年08月15日
...